/******************************************************************************
*   WMSound Setup       for WindowMaker Sound Server            [Version 0.7] *
*   Copyright (C) 1998  Pascal Hofstee <daeron@shadowmere.student.utwente.nl> *
*                                                                             *
*   WindowMaker Sound Server                                                  *
*   Copyright (C) 1998  Anthony Quinn <southgat@frontiernet.net>              *
*                       William Moore <billy@mud.mind.net>                    *
*                                                                             *
*   This program is free software; you can redistribute it and/or modify      *
*   it under the terms of the GNU General Public License as published by      *
*   the Free Software Foundation; either version 2 of the License, or         *
*   (at your option) any later version.                                       *
*                                                                             *
*   This program is distributed in the hope that it will be useful,           *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*   GNU General Public License for more details.                              *
*                                                                             *
*   You should have received a copy of the GNU General Public License         *
*   along with this program; if not, write to the Free Software               *
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.                 *
*******************************************************************************/

#include <WINGs.h>

typedef struct WMSoundSetupPanel {
    WMWindow		*win;
    WMPopUpButton	*eventPopUp;

    WMFrame		*soundFrame;
    WMTextField		*soundField;
    WMButton		*soundpathButton,
			*browseButton,
			*nosoundButton,
			*playButton;

    WMLabel		*toggleLabel,
			*eventLabel;
    WMButton		*soundonButton,
			*soundoffButton,
			*applySchemeButton,
			*loadSchemeButton,
			*saveSchemeButton,
			*infoButton;
    WMLabel		*soundStatusLabel;

    WMList		*pathList;

    WMLabel		*statusLabel;

    WMButton		*cancelButton,
			*revertButton,
			*saveButton;

} WMSoundSetupPanel;

typedef struct WMSSSoundPathPanel {
    WMWindow		*win;

    WMList		*soundpathList;

    WMLabel		*soundpathStatusLabel;

    WMButton		*addSoundPathButton,
			*removeSoundPathButton,
			*cancelButton,
			*okButton;

    struct {
	unsigned int	done:1;
	unsigned int	canceled:1;
    } flags;
} WMSSSoundPathPanel;

typedef struct WMSSInfoPanel {
    WMWindow		*win;

    WMLabel		*nameLabel,
			*versionLabel,
			*creditsLabel,
			*infoLabel;

    WMButton		*exitButton;

    struct {
	unsigned int	done:1;
    } flags;
} WMSSInfoPanel;
